Subject: RE: your mail

From: Jeff Parker <[email-masked]>
Date: Tue, 2 Jul 2002 14:35:40 -0400

> > use the result to pick a bucket 
> 
> I guess it depends on what you mean by "state".  With the given
> definition, one also needs to keep state just to switch IP or MPLS
> packets (state about InLabel/OutLabel/OutIF mapping).  Right?  Given
> that, any loadsharing "state" is simply an extension of what already
> must be kept.  Heck, looking at it this way, even simple, co-like TDM
> boxes need state.  I've always looked at state as something computed
> dynamically based not on the switching tables but on the traffic
> itself (building a flow cache, for example), and let me make it
> perfectly clear, I'm not a fan of flow caches[
> 
> eric

Eric -

I don't have any problem with idea of keeping state.  
This thread started with a claim that the hashing
would not need to keep state.  

I'm happy to let it stop here.

- jeff parker 
- axiowave networks